# OpenLayers.Format.WCSCapabilities/v1_0_0

Read WCS Capabilities version 1.0.0.

#### Inherits from

- OpenLayers.Format.WCSCapabilities.v1

Summary

OpenLayers.Format.WCSCapabilities/v1_0_0 | Read WCS Capabilities version 1.0.0.
Constructor |
OpenLayers.Format.WCSCapabilities.v1_0_0 | Create a new parser for WCS capabilities version 1.0.0.
Properties |
namespaces | {Object} Mapping of namespace aliases to namespace URIs.
errorProperty | {String} Which property of the returned object to check for in order to determine whether or not parsing has failed.
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.

### Constructor

### OpenLayers.Format.WCSCapabilities.v1_0_0

Create a new parser for WCS capabilities version 1.0.0.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Properties

### namespaces

{Object} Mapping of namespace aliases to namespace URIs.

### errorProperty

{String} Which property of the returned object to check for in order to determine whether or not parsing has failed. In the case that the errorProperty is undefined on the returned object, the document will be run through an OGCExceptionReport parser.

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

Abstract class not to be instantiated directly.
Close